TOP=../..

LOBJS = ia.o RGB.o
HEADERS = ia.h compat.h Array.h Closure.h Bit.h RGB.h Array.c
DISTFILES = Array.c \
	Array.h \
	Bit.h \
	Closure.h \
	GNUmakefile \
	RGB.c \
	RGB.h \
	closure.c \
	compat.c \
	compat.h \
	ia.c \
	ia.h


CLOSUREARGS = -pta
CLOSUREOBJS = closure.o

include ${TOP}/src/gnumake.templ

lib: closure

closure: Array.c Array.h

clean:
	rm -f ia.o *~ xyzzy.C lib

spotless: clean
	rm -f xyzzy.o

empty: spotless
	if \
		echo; \
		echo "Making empty will eliminate all files including your GNUmakefile."; \
		echo -n "Are you sure you want to do this? [y/n] "; \
		read ans; test $$ans = y; \
	then for x in `ls`; do if test $$x != RCS; then echo rm $$x; rm $$x; fi; done; \
	fi
# dependencies
Array.o : Array.c 
RGB.o : RGB.c RGB.h compat.h 
closure.o : closure.c Array.h Bit.h RGB.h compat.h 
compat.o : compat.c compat.h 
ia.o : ia.c ia.h compat.h 
xyzzy.o : xyzzy.c 
